package com.zipcodewilmington.bankaccountlab;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

public class SavingsAccountTest {
    SavingAccount sa=new SavingAccount(2000);
    @Test
    public void testCredit()
    {
        int expected=2500;
        sa.credit(500);
        int actual=sa.getBalance();
        Assertions.assertEquals(expected, actual);

    }
    @Test
    public void testDebit()
    {
        int expected=1500;
        sa.debit(500);
        int actual=sa.getBalance();
        Assertions.assertEquals(expected, actual);

    }
}
